AI resources
Generate Acceptor Token

Tokenizes card data to generate an Acceptor Token for use in the Process payment endpoint. Available in two variants: Card Data and Brand Token.

POST

https://api.mercadopago.com/instore/v2/external/payments/tokens
Request parameters
Header
Authorization
string

REQUIRED

Bearer access token.
trace-id
string

REQUIRED

Traceability identifier.
Body
card
object
Card data. Use card_data for Card Data variant or brand_token for Brand Token variant.
Response parameters
token
string
Acceptor Token generated by Mercado Pago for use in the card.acceptor_token field of the Process payment endpoint. Valid for a limited time window defined by expiry_at.
created_at
string
ISO 8601 timestamp indicating when the Acceptor Token was generated.
expiry_at
string
ISO 8601 timestamp indicating when the Acceptor Token expires. Do not use the token after this date — generate a new one.
Errors

404Not Found

500Internal Server Error

Request
curl -X POST \
    'https://api.mercadopago.com/instore/v2/external/payments/tokens'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-' \
       -H 'trace-id: ' \
    -d '{
  "card": {
    "card_data": {
      "number": "4509953566233704",
      "security_code": "123",
      "expiration_month": 12,
      "expiration_year": 2031,
      "entry_mode": "MANUAL"
    },
    "brand_token": {
      "original_bin": "450995",
      "original_last4": "3704",
      "token": "4509953566233704",
      "cryptogram": "/gAAAAAC2/mj+KoAmbV0gmQAAAA=",
      "security_indicator": "eci",
      "par": "V0010015822051006609916940054",
      "expiration_month": 12,
      "expiration_year": 2031,
      "token_requestor_id": "123"
    },
    "holder": {
      "name": "Test Test",
      "identification_type": "DNI",
      "identification_number": "33485274"
    }
  }
}'
Response
{
  "token": "APP_USR-4934588586838432",
  "created_at": "2024-01-17T11:37:47.000-04:00",
  "expiry_at": "2024-01-17T17:37:47.000-04:00"
}